## kaccounts-integration 25.08.2

=== src/kded/CMakeLists.txt ===
kcoreaddons_add_plugin(
    kded_accounts
    SOURCES kded_accounts.cpp kded_accounts.h
    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kded"
)

target_link_libraries(kded_accounts
    Qt::Core
    KF${QT_MAJOR_VERSION}::DBusAddons
    kaccounts
)

ecm_qt_declare_logging_category(kded_accounts HEADER debug.h IDENTIFIER KACCOUNTS_KDED_LOG CATEGORY_NAME org.kde.kaccounts.kded
    DESCRIPTION "KAccounts KDED Module"
    EXPORT KAccounts
)

=== debian/changelog ===
kaccounts-integration (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:10 +0100

kaccounts-integration (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:50:57 +0100

kaccounts-integration (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:20:13 +0100

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libaccounts-qt6-dev (>= 1.16~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
               pkg-kde-tools,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: qml6-module-org-kde-kaccounts (= ${binary:Version}),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-qt [amd64 arm64 armhf],
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers, systemsettings
Description: integration for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.

Package: libkaccounts6-dev
Section: libdevel
Architecture: any
Depends: intltool,
         libaccounts-qt6-dev (>= 1.16~),
         libkaccounts6-2 (= ${binary:Version}),
         libkf6config-dev (>= 5.240.0~),
         libkf6coreaddons-dev (>= 5.240.0~),
         libkf6dbusaddons-dev (>= 5.240.0~),
         libkf6i18n-dev (>= 5.240.0~),
         libkf6kcmutils-dev (>= 5.240.0~),
         libkf6kio-dev (>= 5.240.0~),
         libkf6wallet-dev (>= 5.240.0~),
         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
         qcoro-qt6-dev,
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.
 .
 This package contains development files.

Package: libkaccounts6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kaccounts-providers,
Description: integration library for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.

Package: qml6-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: QML module for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.

## kaccounts-integration 25.08.2+p24.04+vstable+git20251021.0300

=== debian/changelog ===
kaccounts-integration (4:25.08.2+p24.04+vstable+git20251021.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:00:24 +0000

kaccounts-integration (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:18:27 +0000

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kpackage-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               libaccounts-glib-dev,
               libaccounts-qt6-dev,
               libsignon-qt6-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Git: https://invent.kde.org/neon/kde/kaccounts-integration.git
Vcs-Browser: https://invent.kde.org/neon/kde/kaccounts-integration
Maintainer: Neon CI <neon@kde.org>

Package: kaccounts-integration
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: qml6-module-org-kde-kaccounts,
         qml6-module-org-kde-kcm,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kaccounts6-integration,
          libkaccounts2,
          libkaccounts6-2,
          qml6-module-org-kde-kaccounts
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: kaccounts-integration-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kaccounts-integration (= ${binary:Version}),
         kf6-kcoreaddons-dev,
         libaccounts-glib-dev,
         libaccounts-qt6-dev,
         libsignon-qt6-dev,
         pkgconf,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkaccounts-dev, libkaccounts6-dev
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the Qt6 based development files.

Package: kaccounts6-integration
Architecture: all
Depends: kaccounts-integration, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkaccounts2
Architecture: all
Depends: kaccounts-integration, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkaccounts-dev
Architecture: all
Depends: kaccounts-integration-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkaccounts6-2
Architecture: all
Depends: kaccounts-integration, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkaccounts6-dev
Architecture: all
Depends: kaccounts-integration-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kaccounts
Architecture: all
Depends: kaccounts-integration, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kaccounts-integration 25.08.2+p24.04+vstable+git20251031.0848

=== debian/changelog ===
kaccounts-integration (4:25.08.2+p24.04+vstable+git20251031.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:48:55 +0000

## kaccounts-integration 25.08.2+p24.04+vunstable+git20251010.0801

=== debian/changelog ===
kaccounts-integration (4:25.08.2+p24.04+vunstable+git20251010.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:01:39 +0000

## kaccounts-integration 25.08.2+p24.04+vunstable+git20251015.1304

=== debian/changelog ===
kaccounts-integration (4:25.08.2+p24.04+vunstable+git20251015.1304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:04:16 +0000

## kaccounts-integration 25.08.2+p24.04+vunstable+git20251020.1053

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "6.1.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# make KDE CI pass the right flag when building for Qt5
if($ENV{CI_JOB_NAME} MATCHES ".*qt515")
   set(KF6_COMPAT_BUILD ON)
endif()

option(KF6_COMPAT_BUILD "Enable this to get a build to support KF5 applications" OFF)

if(KF6_COMPAT_BUILD)
   set(QT_REQUIRED_VERSION "5.15.2")
   set(KF_MIN_VERSION "5.97.0")
   set(QT_MAJOR_VERSION "5")
endif()

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMQtDeclareLoggingCategory)

set(KACCOUNTS_SOVERSION "2")
set(ACCOUNTSQT_DEP_VERSION "1.16")
set(SIGNONQT_DEP_VERSION "8.55")
set(ACCOUNTSGLIB_DEP_VERSION "1.21")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Qml)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Wallet KIO)

find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(SignOnQt${QT_MAJOR_VERSION} ${SIGNONQT_DEP_VERSION} CONFIG)
set_package_properties(SignOnQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "D-Bus service which performs user authentication on behalf of its clients"
   URL "https://gitlab.com/accounts-sso/signond"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(QCoro${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core)

qcoro_enable_coroutines()

add_definitions(-DTRANSLATION_DOMAIN=\"kaccounts-integration\")

ecm_set_disabled_deprecation_versions(QT 5.13.0
     KF 5.101.0
)

add_subdirectory(src)

if(NOT KF6_COMPAT_BUILD)
   ki18n_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KAccounts
    FILE kaccounts.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kaccounts-integration (4:25.08.2+p24.04+vunstable+git20251020.1053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:53:30 +0000

## kaccounts-integration 25.08.2+p24.04+vunstable+git20251021.0508

=== debian/changelog ===
kaccounts-integration (4:25.08.2+p24.04+vunstable+git20251021.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:08:01 +0000

## kaccounts-integration 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kaccounts-integration")

add_subdirectory(lib)
add_subdirectory(declarative)

if(NOT KF6_COMPAT_BUILD)
    add_subdirectory(plugins)
    add_subdirectory(kcm)
    add_subdirectory(kded)
endif()

=== src/plugins/CMakeLists.txt ===
add_subdirectory(kio-webdav)

=== src/plugins/kio-webdav/tests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5 5.2.0 CONFIG REQUIRED Test)

add_definitions("-DTEST_DATA=\"${CMAKE_CURRENT_SOURCE_DIR}/data/\"")
include_directories(${CMAKE_CURRENT_BINARY_DIR} SYSTEM ${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
set(COMMON_LINK_LIBS Qt5::Test Qt5::Core Qt5::Xml Qt5::DBus KF${QT_MAJOR_VERSION}::CoreAddons ${ACCOUNTSQT_LIBRARIES})

set(testname testnetattachjobs)
add_executable(${testname} ${testname}.cpp
    ../createnetattachjob.cpp
    ../removenetattachjob.cpp
)
add_test(kaccounts-${testname} ${testname})
ecm_mark_as_test(${testname})
target_link_libraries(${testname} ${COMMON_LINK_LIBS}  KF${QT_MAJOR_VERSION}::ConfigCore KF${QT_MAJOR_VERSION}::KIOCore Qt5::Widgets KF${QT_MAJOR_VERSION}::Wallet)

=== debian/changelog ===
kaccounts-integration (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:11:10 +0000

## kaccounts-integration 25.08.3+p24.04+vstable+git20251204.0810

=== debian/changelog ===
kaccounts-integration (4:25.08.3+p24.04+vstable+git20251204.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 08:10:20 +0000

kaccounts-integration (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:37 +1000

## kaccounts-integration 25.08.3+p24.04+vunstable+git20251110.1106

=== debian/changelog ===
kaccounts-integration (4:25.08.3+p24.04+vunstable+git20251110.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 11:06:31 +0000

## kaccounts-integration 25.08.3+p24.04+vunstable+git20251123.1248

=== debian/changelog ===
kaccounts-integration (4:25.08.3+p24.04+vunstable+git20251123.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:48:03 +0000

## kaccounts-integration 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== src/kcm/CMakeLists.txt ===
kcmutils_add_qml_kcm(kcm_kaccounts SOURCES accounts.cpp accounts.h)

target_link_libraries(kcm_kaccounts PRIVATE
    Qt::Core
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtils
)

=== debian/changelog ===
kaccounts-integration (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:49:42 +0000

## kaccounts-integration 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== debian/changelog ===
kaccounts-integration (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:57 +0000

## kaccounts-integration 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== debian/changelog ===
kaccounts-integration (4:25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:39:24 +0000

kaccounts-integration (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:48 +1000

## kaccounts-integration 25.12.0+p24.04+vstable+git20251208.1725

=== debian/changelog ===
kaccounts-integration (4:25.12.0+p24.04+vstable+git20251208.1725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:25:08 +0000

## kaccounts-integration 25.12.0+p24.04+vstable+git20260105.0852

=== debian/changelog ===
kaccounts-integration (4:25.12.0+p24.04+vstable+git20260105.0852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:52:23 +0000

## kaccounts-integration 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== debian/changelog ===
kaccounts-integration (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - kaccounts-integration breaks/replaces libkaccounts6-2 << 4:25.12.1-1~

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 13:52:13 +0000

kaccounts-integration (4:25.12.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 11:07:42 +0100

kaccounts-integration (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:58:29 +0000

kaccounts-integration (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:14 +0000

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.1.0~),
               gettext,
               libaccounts-qt6-dev (>= 1.16~),
               libkf6config-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6kcmutils-dev (>= 6.1.0~),
               libkf6kio-dev (>= 6.1.0~),
               libkf6wallet-dev (>= 6.1.0~),
               libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
               pkg-kde-tools,
               pkgconf,
               qcoro-qt6-dev,
               qml6-module-org-kde-kcmutils,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/network/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: signon-kwallet-extension (>= 4:24.02.2~),
         signon-plugin-oauth2 (>= 0.25+git~),
         signon-plugin-password (>= 8.61+git~),
         signond (>= 8.61+git~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers,
            signon-ui-qt,
            signon-ui-service,
            systemsettings,
Breaks: libkaccounts6-2 (<< 4:25.12.1-1~),
Replaces: libkaccounts6-2 (<< 4:25.12.1-1~),
Description: integration for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.

Package: libkaccounts6-dev
Section: libdevel
Architecture: any
Depends: intltool,
         libaccounts-qt6-dev (>= 1.16~),
         libkaccounts6-2 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.1.0~),
         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
         qml6-module-org-kde-kaccounts (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.
 .
 This package contains development files.

Package: libkaccounts6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kaccounts-providers,
Description: integration library for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.

Package: qml6-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: QML module for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.

## kaccounts-integration 25.12.1+p24.04+vstable+git20260130.0846

=== debian/changelog ===
kaccounts-integration (4:25.12.1+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:20 +0000

kaccounts-integration (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:50 +1000

## kaccounts-integration 25.12.1+p24.04+vstable+git20260205.0506

=== debian/changelog ===
kaccounts-integration (4:25.12.1+p24.04+vstable+git20260205.0506-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:06:36 +0000

## kaccounts-integration 25.12.1+p24.04+vunstable+git20260205.0637

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== debian/changelog ===
kaccounts-integration (4:25.12.1+p24.04+vunstable+git20260205.0637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:37:37 +0000

## kaccounts-integration 25.12.2

=== debian/changelog ===
kaccounts-integration (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 10:45:04 +0000

kaccounts-integration (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:42:13 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),

## kaccounts-integration 25.12.2+p24.04+vunstable+git20260206.0913

=== debian/changelog ===
kaccounts-integration (4:25.12.2+p24.04+vunstable+git20260206.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:13:40 +0000

kaccounts-integration (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:03:27 +0000
